Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class OriginatorInfo

    java.lang.Object
      org.bouncycastle.asn1.cms.OriginatorInfo

All Implemented Interfaces:
  DEREncodable

public class OriginatorInfo
extends java.lang.Object
implements DEREncodable

Constructor Summary
`OriginatorInfo(ASN1Sequence seq)`
`OriginatorInfo(ASN1Set certs, ASN1Set crls)`

Method Summary
`ASN1Set` | `getCertificates()`
`ASN1Set` | `getCRLs()`
`DERObject` | `getDERObject()` Produce an object suitable for an ASN1OutputStream.
`static OriginatorInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return an OriginatorInfo object from a tagged object.
`static OriginatorInfo` | `getInstance(java.lang.Object obj)` return an OriginatorInfo object from the given object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OriginatorInfo

    public OriginatorInfo(ASN1Set certs,
                          ASN1Set crls)

### OriginatorInfo

    public OriginatorInfo(ASN1Sequence seq)

Method Detail

### getInstance

    public static OriginatorInfo getInstance(ASN1TaggedObject obj,
                                             boolean explicit)

  return an OriginatorInfo object from a tagged object.

  Parameters:
    `_ato` - the tagged object holding the object we want.
    `_explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

### getInstance

    public static OriginatorInfo getInstance(java.lang.Object obj)

  return an OriginatorInfo object from the given object.

  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getCertificates

    public ASN1Set getCertificates()

### getCRLs

    public ASN1Set getCRLs()

### getDERObject

    public DERObject getDERObject()

  Produce an object suitable for an ASN1OutputStream.

       OriginatorInfo ::= SEQUENCE {
       	certs [0] IMPLICIT CertificateSet OPTIONAL,
       	crls [1] IMPLICIT CertificateRevocationLists OPTIONAL
       }

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD